# Üdv a Linuxos előadás segédletében

<p id="meme"></p>

## Kedvcsináló

<script>
  if (
    navigator.platform.indexOf("Linux") !== -1 &&
    !(navigator.userAgent.indexOf("Android") !== -1)
  ) {
    document.getElementById('meme').innerText = "And oh, btw, hello fellow Linux user!";
  }
</script>

*Miért is jó nekem, ha tudok Linuxul?*  
- A világ legelterjedtebb\* operációs rendszerét tudni fogod használni.   
    - Az interneten lévő szerverek [túlnyomó többsége](https://en.wikipedia.org/wiki/Usage_share_of_operating_systems#Public_servers_on_the_Internet) Linuxot használ
    - Az Android is Linux alapú, így a telefonok [>70%-án](https://en.wikipedia.org/wiki/Usage_share_of_operating_systems#Mobile_devices) Linux fut
    - A [top 500](https://en.wikipedia.org/wiki/Usage_share_of_operating_systems#Supercomputers) szuperszámítógép mind Linuxot futtat
    - Mindenféle beágyazott cuccban megtalálható a Linux (autók, random gépek, stb)
- Sok itt megtanult tudást más operációs rendszereken is tudod hasznosítani
    - A legtöbb nem Windows alapú OS UNIX-szerű<sup>(erről később lesz szó)</sup>, csakúgy mint a Linux,
      így az előadásaink nagy része ugyanígy vonatkozik macOS-re és BSD-kre is  
- A KSZK-s szolgáltatások többsége is Linuxon fut,
  így szükséged lesz egy kis Linux tudásra akkor is, ha a DevTeam-ben
  vagy HaT-ban szeretnél ügyeskedni, nem beszélve a SysAdmin-ról, NETeam-ről vagy SecurITeam-ről 

*OK, meggyőztél. Miről is lesz szó?*
- UNIX-os dolgokról
- Terminálról, shellről
- A Linux alapvető felépítéséről
- Pár fontosabb parancsról
- Egy (web)szerver üzemeltetéséhez szükséges tudásról

## Jegyzet

- [Linux alapok](linux%20alapok.md)
- [Szerver kezelés](szerver%20kezelés.md)

